From 49c860d9c46fb69422c7f996d2317302323df4fe Mon Sep 17 00:00:00 2001
From: Peter Pentchev <roam@ringlet.net>
Date: Wed, 9 Mar 2011 18:17:05 +0200
Subject: [PATCH 12/15] Convert the patch headers to the DEP 3 format.

---
 debian/changelog                            |    1 +
 debian/patches/allegro-4.2.patch            |    5 ++++-
 debian/patches/dot-files-endian-clean.patch |    5 ++++-
 debian/patches/fsf-address.patch            |    5 ++++-
 debian/patches/save-some-cpu-cycles.patch   |   20 ++++++++++++--------
 debian/patches/unix-port.patch              |    8 +++++++-
 6 files changed, 32 insertions(+), 12 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 7babcb7..4764b94 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -20,6 +20,7 @@ alex4 (1.1-4) UNRELEASED; urgency=low
   * Use dpkg-buildflags to obtain the default values for CPPFLAGS, CFLAGS
     and LDFLAGS.
   * Convert the copyright file to the DEP 5 candidate format.
+  * Convert all patch file headers to the DEP 3 format.
 
  -- Peter Pentchev <roam@ringlet.net>  Wed, 09 Mar 2011 14:14:04 +0200
 
diff --git a/debian/patches/allegro-4.2.patch b/debian/patches/allegro-4.2.patch
index 991ca52..a5f8690 100644
--- a/debian/patches/allegro-4.2.patch
+++ b/debian/patches/allegro-4.2.patch
@@ -1,4 +1,7 @@
-Get rid of deprecated Allegro functions.
+Description: Get rid of deprecated Allegro functions.
+Forwarded: yes
+Author: Peter De Wachter <pdewacht@gmail.com>
+Last-Update: 2009-05-07
 
 --- a/src/edit.c
 +++ b/src/edit.c
diff --git a/debian/patches/dot-files-endian-clean.patch b/debian/patches/dot-files-endian-clean.patch
index 648d471..c4b3bad 100644
--- a/debian/patches/dot-files-endian-clean.patch
+++ b/debian/patches/dot-files-endian-clean.patch
@@ -1,4 +1,7 @@
-Save the game's dotfiles in an endian-independent way.
+Description: Save the game's dotfiles in an endian-independent way.
+Forwarded: no
+Author: Peter De Wachter <pdewacht@gmail.com>
+Last-Update: 2009-05-07
 
 Index: alex4src/src/control.c
 ===================================================================
diff --git a/debian/patches/fsf-address.patch b/debian/patches/fsf-address.patch
index a27d6b1..98bf077 100644
--- a/debian/patches/fsf-address.patch
+++ b/debian/patches/fsf-address.patch
@@ -1,4 +1,7 @@
-Correct the FSF's address.
+Description: Correct the FSF's address.
+Forwarded: yes
+Author: Peter De Wachter <pdewacht@gmail.com>
+Last-Update: 2009-05-07
 
 Index: alex4-1.1/readme.txt
 ===================================================================
diff --git a/debian/patches/save-some-cpu-cycles.patch b/debian/patches/save-some-cpu-cycles.patch
index 9b8c406..038a3dd 100644
--- a/debian/patches/save-some-cpu-cycles.patch
+++ b/debian/patches/save-some-cpu-cycles.patch
@@ -1,13 +1,17 @@
-Fix the 100% CPU usage of alex4. We can't do this properly (the game
-is written with a DOS mindset), but we can do two things easily:
+Description: Fix the 100% CPU usage of alex4.
+ Fix the 100% CPU usage of alex4. We can't do this properly (the game
+ is written with a DOS mindset), but we can do two things easily:
  - Put a rest() in every busy loop.
  - Limit the frame rate to 50Hz (the speed of the game logic).
-
-For future reference, the counters used by the game:
-game_count  = increments at 50Hz
-cycle_count = increments at 50Hz, but is reset whenever the game feels like it
-frame_count = number of frames rendered, reset every second
-logic_count = number of game loops processed, reset every second
+ .
+ For future reference, the counters used by the game:
+ game_count  = increments at 50Hz
+ cycle_count = increments at 50Hz, but is reset whenever the game feels like it
+ frame_count = number of frames rendered, reset every second
+ logic_count = number of game loops processed, reset every second
+Forwarded: no
+Author: Peter De Wachter <pdewacht@gmail.com>
+Last-Update: 2009-05-07
 
 --- a/src/main.c
 +++ b/src/main.c
diff --git a/debian/patches/unix-port.patch b/debian/patches/unix-port.patch
index 3346709..ed960b0 100644
--- a/debian/patches/unix-port.patch
+++ b/debian/patches/unix-port.patch
@@ -1,4 +1,10 @@
-Based on Hans de Goede's patch for Fedora. 
+Description: Support Unix-like operating systems.
+ Based on Hans de Goede's patch for Fedora. 
+Author: Hans de Goede <hdegoede@redhat.com>
+ Peter de Wachter <pdewacht@gmail.com>,
+ Peter Pentchev <roam@ringlet.net>
+Forwarded: yes
+Last-Update: 2011-03-09
 
 --- a/src/main.c
 +++ b/src/main.c
-- 
1.7.2.3

